.\" Man page generated from reStructuredText.
.
.TH "WLC" "1" "Jul 11, 2016" "2.8" "Weblate"
.SH NAME
wlc \- Weblate Client Documentation
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.sp
New in version 2.7: The wlc utility is fully supported since Weblate 2.7. If you are using older version
some incompatibilities with API might occur.

.SH INSTALATION
.sp
The Weblate Client is shipped separately, you need to install wlc to have it,
it also includes Python module \fBwlc\fP:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
pip install wlc
.ft P
.fi
.UNINDENT
.UNINDENT
.SH SYNOPSIS
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
wlc [parameter] <command> [options]
.ft P
.fi
.UNINDENT
.UNINDENT
.sp
Commands actually indicate which operation should be performed.
.SH DESCRIPTION
.sp
Weblate Client is Python library and command line utility to manage Weblate remotely
using api\&. The command line utility can be invoked as \fBwlc\fP and is
build on \fBwlc\fP\&.
.SS Global options
.sp
The program accepts following global options, which must be entered before subcommand.
.INDENT 0.0
.TP
.B \-\-format {csv,json,text,html}
Specify output format.
.UNINDENT
.INDENT 0.0
.TP
.B \-\-url URL
Specify API URL. Overrides value from configuration file, see \fI\%Files\fP\&.
The URL should end with \fB/api/\fP, for example \fBhttps://hosted.weblate.org/api/\fP\&.
.UNINDENT
.INDENT 0.0
.TP
.B \-\-key KEY
Specify API user key to use. Overrides value from configuration file, see \fI\%Files\fP\&.
You can figure out your key in your profile in Weblate.
.UNINDENT
.INDENT 0.0
.TP
.B \-\-config PATH
Override path to configuration file, see \fI\%Files\fP\&.
.UNINDENT
.INDENT 0.0
.TP
.B \-\-config\-section SECTION
Override section to use in configuration file, see \fI\%Files\fP\&.
.UNINDENT
.SS Subcommands
.sp
Currently following subcommands are available:
.INDENT 0.0
.TP
.B version
Prints current version.
.UNINDENT
.INDENT 0.0
.TP
.B list\-languages
List used languages in Weblate.
.UNINDENT
.INDENT 0.0
.TP
.B list\-projects
List projects in Weblate.
.UNINDENT
.INDENT 0.0
.TP
.B list\-components
List components in Weblate.
.UNINDENT
.INDENT 0.0
.TP
.B list\-translations
List translations in Weblate.
.UNINDENT
.INDENT 0.0
.TP
.B show
Shows Weblate object (translation, component or project).
.UNINDENT
.INDENT 0.0
.TP
.B ls
Lists Weblate object (translation, component or project).
.UNINDENT
.INDENT 0.0
.TP
.B commit
Commits changes in Weblate object (translation, component or project).
.UNINDENT
.INDENT 0.0
.TP
.B pull
Pulls remote repository changes into Weblate object (translation, component or project).
.UNINDENT
.INDENT 0.0
.TP
.B push
Pusches changes in Weblate object into remote repository (translation, component or project).
.UNINDENT
.INDENT 0.0
.TP
.B repo
Displays repository status for given Weblate object (translation, component or project).
.UNINDENT
.INDENT 0.0
.TP
.B statistics
Displays detailed statistics for given Weblate object (translation or component).
.UNINDENT
.INDENT 0.0
.TP
.B lock\-status
New in version 0.5: Supported since wlc 0.5.

.sp
Displays lock status.
.UNINDENT
.INDENT 0.0
.TP
.B lock
New in version 0.5: Supported since wlc 0.5.

.sp
Locks compontent from translating in Weblate.
.UNINDENT
.INDENT 0.0
.TP
.B unlock
New in version 0.5: Supported since wlc 0.5.

.sp
Unlocks compontent from translating in Weblate.
.UNINDENT
.SH FILES
.INDENT 0.0
.TP
.B \fB\&.weblate\fP
Per project configuration file
.TP
.B \fB~/.config/weblate\fP
User configuration file
.TP
.B \fB/etc/xdg/weblate\fP
Global configration file
.UNINDENT
.sp
The program follows XDG specification, so you can adjust placement of config files
by environment variables \fBXDG_CONFIG_HOME\fP or \fBXDG_CONFIG_DIRS\fP\&.
.sp
Following settings can be configured in the \fB[weblate]\fP section (you can
customize this by \fI\%\-\-config\-section\fP):
.INDENT 0.0
.TP
.B key
API KEY to access Weblate.
.UNINDENT
.INDENT 0.0
.TP
.B url
API server URL, defaults to \fBhttp://127.0.0.1:8000/api/\fP\&.
.UNINDENT
.INDENT 0.0
.TP
.B translation
Path of default translation, component or project.
.UNINDENT
.sp
The configuration file is INI file, for example:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
[weblate]
url = https://hosted.weblate.org/api/
key = APIKEY
translation = weblate/master
.ft P
.fi
.UNINDENT
.UNINDENT
.sp
Additionally API keys can be stored in the \fB[keys]\fP section:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
[keys]
https://hosted.weblate.org/api/ = APIKEY
.ft P
.fi
.UNINDENT
.UNINDENT
.sp
This allows you to store keys in your personal settings, while having
\fB\&.weblate\fP configuration in the VCS repository so that wlc knows to which
server it should talk.
.SH EXAMPLES
.sp
Print current program version:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
$ wlc version
version: 0.1
.ft P
.fi
.UNINDENT
.UNINDENT
.sp
List all projects:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
$ wlc list\-projects
name: Hello
slug: hello
source_language: en
url: http://example.com/api/projects/hello/
web: http://weblate.org/
web_url: http://example.com/projects/hello/
.ft P
.fi
.UNINDENT
.UNINDENT
.sp
You can also let wlc know current project and it will then operate on it:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
$ cat .weblate
[weblate]
url = https://hosted.weblate.org/api/
translation = weblate/master

$ wlc show
branch: master
file_format: po
filemask: weblate/locale/*/LC_MESSAGES/django.po
git_export: git://git.weblate.org/weblate.git
license: GPL\-3.0+
license_url: https://spdx.org/licenses/GPL\-3.0+
name: master
new_base: weblate/locale/django.pot
project: weblate
repo: git://github.com/nijel/weblate.git
slug: master
template:
url: https://hosted.weblate.org/api/components/weblate/master/
vcs: git
web_url: https://hosted.weblate.org/projects/weblate/master/
.ft P
.fi
.UNINDENT
.UNINDENT
.sp
With such setup it is easy to commit pending changes in current project:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
$ wlc commit
.ft P
.fi
.UNINDENT
.UNINDENT
.SH AUTHOR
Michal Čihař
.SH COPYRIGHT
2012 - 2016, Michal Čihař
.\" Generated by docutils manpage writer.
.
